Gecode::FloatValBranch Class Reference
Functionality by programming task » Programming models » Using float variables and constraints » Branching on float variables

Which values to select for branching first. More...

`#include <float.hh>`

## Public Types

enum | Select { SEL_SPLIT_MIN , SEL_SPLIT_MAX , SEL_SPLIT_RND , SEL_VAL_COMMIT }
| Which value selection. More...
Public Types inherited from Gecode::ValBranch< FloatVar >
typedef BranchTraits< FloatVar >::Val | BranchVal
| The corresponding branching value function.
typedef BranchTraits< FloatVar >::Commit | BranchCommit
| The corresponding branching commit function.

## Public Member Functions

| FloatValBranch (Select s=SEL_SPLIT_MIN)
| Initialize with selection strategy s.
| FloatValBranch (Rnd r)
| Initialize with random number generator r.
| FloatValBranch (FloatBranchVal v, FloatBranchCommit c)
| Initialize with value function f and commit function c.
Select | select (void) const
| Return selection strategy.
Public Member Functions inherited from Gecode::ValBranch< FloatVar >
| ValBranch (void)
| Initialize.
Rnd | rnd (void) const
| Return random number generator.
BranchVal | val (void) const
| Return value function.
BranchCommit | commit (void) const
| Return commit function.

## Protected Attributes

Select | s
| Which value to select.
Protected Attributes inherited from Gecode::ValBranch< FloatVar >
Rnd | r
| Random number generator.
BranchVal | vf
| Value function.
BranchCommit | cf
| Commit function.

## Detailed Description

Which values to select for branching first.

Definition at line 1820 of file float.hh.

## Member Enumeration Documentation

## Select

enum Gecode::FloatValBranch::Select

Which value selection.

Enumerator
SEL_SPLIT_MIN | Select values not greater than mean of smallest and largest value.
SEL_SPLIT_MAX | Select values greater than mean of smallest and largest value.
SEL_SPLIT_RND | Select values randomly which are not greater or not smaller than mean of largest and smallest value.
SEL_VAL_COMMIT | Select value according to user-defined functions.

Definition at line 1823 of file float.hh.

## Constructor & Destructor Documentation

## FloatValBranch() [1/3]

Gecode::FloatValBranch::FloatValBranch | ( | Select | s = SEL_SPLIT_MIN | ) |

inline

Initialize with selection strategy s.

Definition at line 37 of file val.hpp.

## FloatValBranch() [2/3]

Gecode::FloatValBranch::FloatValBranch | ( | Rnd | r | ) |

inline

Initialize with random number generator r.

Definition at line 41 of file val.hpp.

## FloatValBranch() [3/3]

Gecode::FloatValBranch::FloatValBranch | ( | FloatBranchVal | v,
|  | FloatBranchCommit | c )

inline

Initialize with value function f and commit function c.

Definition at line 45 of file val.hpp.

## Member Function Documentation

## select()

FloatValBranch::Select Gecode::FloatValBranch::select | ( | void |  | ) | const

inline

Return selection strategy.

Definition at line 49 of file val.hpp.

## Member Data Documentation

## s

Select Gecode::FloatValBranch::s

protected

Which value to select.

Definition at line 1831 of file float.hh.

The documentation for this class was generated from the following files:

- gecode/float.hh
- gecode/float/branch/val.hpp